<?php
// Version: 0.9; TPdlmanager

// TPortal Download Manager template.

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings, $boarddir, $boardurl;

	// show the linktree
	theme_linktree();

	// if dl manager is off, throw a error screen.
	if($context['TPortal']['show_download']==0 && !allowedTo('tp_dlmanager'))
		fatal_error('Sorry, not allowed.');

	// render frontpage or category
if($context['TPortal']['dlaction']=='cat' || $context['TPortal']['dlaction']=='' || $context['TPortal']['dlaction']=='item'){
	   echo '
<div>';

	// any recent items shown on frontpage?
		echo '
<div>
	<div class="tborder">
		<table width="100%" align="center" border="0" cellspacing="0" cellpadding="8" style="table-layout: fixed;">
			<tr class="titlebg">
				<td>'.$context['TPortal']['dlheader'].'</td>
				<td align="right">
					<span class="smalltext">' , $context['TPortal']['can_upload']  ? '&nbsp; <a href="'.$scripturl.'?action=tpmod;dl=upload">'.$txt['tp-dlupload'].'</a>' : '' , '
					</span>
				</td>
			</tr>';
	if($context['TPortal']['dlaction']!='item' && !empty($context['TPortal']['pageindex']))
			echo '
			<tr>
			<td class="titlebg" colspan="2">&nbsp;'.$context['TPortal']['pageindex'].'</td>
		</tr>';



	if(!empty($context['TPortal']['dlrecent']) && $context['TPortal']['dlaction']=='' && $context['TPortal']['dl_showlatest']=='1'){
		$first=true;
		foreach($context['TPortal']['dlrecent'] as $item)
		{
			// the last one added gets a spot of its own
			if($first){
				echo '<tr><td class="windowbg2" valign="top">
							<b>',$txt['tp-recentuploads2'],'</b><hr />
							<a href="',$scripturl,'?action=tpmod;dl=get'.$item['id'].'"><img style="margin: 5px;" align="right" src="'.$settings['images_url'].'/TPdownloadfile.gif" alt="" /></a>
							<img src="',$settings['images_url'],'/tpmodule2.gif" alt="" />
							<b><a href="',$item['href'],'">',$item['name'],'</a></b><br />
							<div class="smalltext">',$txt['tp-uploadedby'],' ',$item['author'],' <br />',$item['date'],'
							<br />',$item['filesize'],'
							<br /><br />',$item['body'],'
							<hr />'.$txt['tp-downloads'].': <b>'.$item['downloads'].'</b>
						'.$txt['tp-itemviews'].': <b>'.$item['views'].'</b></div>';
				if($item['screenshot']!='')
					echo '<div style="padding-top: 1ex; overflow: auto; width: 100%;"><img src="'.$item['screenshot'].'" alt="" /></div>';

				// allowed to edit it?
				if(allowedTo('tp_dlmanager'))
					echo '[ <a href="' , $scripturl , '?action=tpmod;dl=adminitem' , $item['id'] , '">' , $txt['tp-edit'] , '</a> ]';

				echo '  </td>
						  <td width="50%" valign="top" class="windowbg2">
						  	<b>',$txt['tp-recentuploads'],'</b><hr />
						  	<table width="100%" cellspacing="0" cellpadding="5">
						  		<tr><td class="smalltext">&nbsp;</td><td class="smalltext" colspan="3"><b>'.$txt['tp-dlname'].'/'.$txt['tp-downloads'].'/'.$txt['tp-itemviews'].'/'.$txt['tp-filesize'].'</b></td></tr>';
				$first=false;
			}
			else{
				echo '<tr>
								<td width="2%" valign="top"><img src="',$settings['images_url'],'/tpmodule2.gif" alt="" /></td>
								<td colspan="4"><a href="',$item['href'],'">',$item['name'],'</a> ',$txt['tp-by'],' ', $item['author'],'<br />
								<span class="smalltext">'.$item['downloads'].' '.$txt['tp-downloads'].' |
						'.$item['views'].' '.$txt['tp-views'] , isset($item['filesize']) ? ' | '.$item['filesize'] : '' , ' </span></td></tr>';
			}
		}

	}
	echo '
	</table>';

	echo '
	<table cellpadding="6" cellspacing="1" class="tborder" width="100%" style="border:0; padding: 0; margin: 0;">
			<tr class="catbg">
				<td colspan="2">'.$txt['tp-downloadsection2'].'</td>
			</tr>';

	//show any categories with more files than just 0 - if not single item mode.
	if($context['TPortal']['dlaction']!='item'){
		foreach($context['TPortal']['dlcats'] as $dlcat){
				echo '
		<tr>
			<td width="2%" align="center" valign="top" class="windowbg">
				<img src="' , !empty($dlcat['icon']) ? $dlcat['icon'] : $settings['images_url'].'/board.gif' , '" alt="" border="0" />
			</td>
			<td width="95%" valign="bottom" class="windowbg">';

				echo '
				<b><a href="'. $dlcat['href'] .'">'.$dlcat['name'].'</a></b>';
			if($dlcat['files']>0)
					echo ' ('. $dlcat['files'].' '.$txt['tp-dlfiles'].')';

				echo '<div class="smalltext">
				'. $dlcat['description'] . '</div>';
			// any subcategories?
				if(!empty($context['TPortal']['dlcatchilds']))
				{
					echo '<div style="margin-top: 0.5em;" class="smalltext">';
					foreach($context['TPortal']['dlcatchilds'] as $dlchild){
						if($dlchild['parent']==$dlcat['id'])
						{
							echo '<img style="margin: 0;" align="middle" src="'.$settings['images_url'].'/board.gif' , '" border="0" alt="" /> <a href="'.$dlchild['href'].'">'.$dlchild['name'].'</a> ';
							if($dlchild['files']>0)
								echo '('.$dlchild['files'].')&nbsp;&nbsp;';
						}
					}
					echo '</div>';
				}

				echo '
			</td>
		</tr>';
		}
	}
	// showany files
	if(isset($context['TPortal']['dlitem']) && sizeof($context['TPortal']['dlitem'])>0){
		foreach($context['TPortal']['dlitem'] as $dlitem){
			echo '
		<tr>
			<td align="center" valign="top" class="windowbg2" style="clear: both;" width="2%">
		' , $dlitem['icon']!='' ? '<img src="'.$dlitem['icon'].'" border="0" alt="'.$dlitem['name'].'" align="right" style="margin: 1ex; " />' : '' , '
			</td>
			<td valign="top" class="windowbg2" >';

			if($context['TPortal']['dlaction']=='item')
				echo '
				<a href="'.$dlitem['href'].'"><img src="' . $settings['images_url']. '/TPdownloadfile.gif" border="0" align="right" alt="" /></a>';

			echo '
				<b><a href="'.$dlitem['href'].'">'. $dlitem['name'] .'</a></b> ' , ($context['TPortal']['dlaction']!='item' && isset($dlitem['filesize'])) ? '<br />'.$dlitem['filesize'] : '' ,  '<div class="smalltext">
				'.$dlitem['description'];
			
			// edit the file?
			if(allowedTo('tp_dlmanager'))
			echo '<br />[<a href="' , $scripturl , '?action=tpmod;dl=adminitem' , $dlitem['id'] , '">' , $txt['tp-edit'] , '</a>]';

			echo '</div></td>
		</tr>';
		}
		if($context['TPortal']['dlaction']!='item' && !empty($context['TPortal']['pageindex']))
			echo '
		<tr>
			<td class="titlebg" colspan="2">&nbsp;'.$context['TPortal']['pageindex'].'</td>
		</tr>';
	}


    // single item needs more info
    if($context['TPortal']['dlaction']=='item'){

         // extra information like downloads, views etc.
         echo '
         <tr><td rowspan="2" class="windowbg2" align="center"><img src="'.$settings['images_url'].'/icons/info.gif" alt="" /></td>
             <td class="windowbg2"><span class="smalltext">
               ', isset($dlitem['filesize']) ? $dlitem['filesize'].' | ' : '' , ' '.$txt['tp-itemviews'].': <b>'.$dlitem['views'].'</b> &nbsp; '.$txt['tp-itemdownloads'].': <b>'.$dlitem['downloads'].'</b>&nbsp;&nbsp;'.$txt['tp-itemlastdownload'].': <b>' , timeformat($dlitem['date_last']) , '</b>
                 </span>
             </td>
         </tr><tr>
             <td class="windowbg2"><span class="smalltext">
             	'.$txt['tp-uploadedby'].': <a href="'.$scripturl.'?action=profile;u='.$dlitem['authorID'].'"><b>'.$dlitem['author'].'</b></a> (' , timeformat($dlitem['created']) , ')
                 </span>
             </td>
         </tr>';
        // any screenshot?
         if(!empty($dlitem['sshot']))
             echo '
         <tr><td class="windowbg2" align="center"><img src="'.$settings['images_url'].'/TPimage.gif" alt="" /></td>
             <td class="windowbg2"><div style="overflow: auto;"><img src="'.$dlitem['screenshot'].'" alt="" /></div></td>
         </tr>';
	}

echo '</table>';
	//  a stats page
	echo '
	<div class="titlebg" style="text-align: right; padding: 1ex;"><a href="'.$scripturl.'?action=tpmod;dl=stats"><b>', $txt['tp-stats'], '</b></a></div>';
	echo '
</div></div></div>';
}


// the submit upload form
elseif($context['TPortal']['dlaction']=='upload'){
	// check that you can upload
	if(allowedTo('tp_dlmanager') || allowedTo('tp_dlupload'))
		$show=true;
	else
		fatal_error($txt['tp-adminonly']);

   echo '
 <div class="tborder" style="margin-top: 4px;">
	 <table width="100%" border="0" cellspacing="0" cellpadding="8">
		<tr class="catbg"><td>'.$txt['tp-downloadsection'].'</td></tr>
		<tr class="titlebg"><td><b>'.$txt['tp-dlupload'].'</b></td></tr>
		<tr class="windowbg2"><td>
			<form accept-charset="', $context['character_set'], '" name="tp_dlupload" action="'.$scripturl.'?action=tpmod;dl=upload" method="post" enctype="multipart/form-data">
			<span class="smalltext">';

	if($context['TPortal']['dl_approve']=='1' && !allowedTo('tp_dlmanager'))
		echo '<b>! '.$txt['tp-warnsubmission'].'</b><br />';

	echo $txt['tp-maxuploadsize'].': '. $context['TPortal']['dl_max_upload_size'].'Kb</span><br /><br />
				<table width="100%" border="0" cellspacing="1" cellpadding="5" class="tborder">
					<tr>
						<td valign="top" align="right" class="windowbg">'.$txt['tp-dluploadtitle'].'</td>
						<td class="windowbg">
							<input name="tp-dluploadtitle" type="text" value="-no title-" size="40" />
						</td>
					</tr><tr>
						<td valign="top" align="right" class="windowbg">'.$txt['tp-dluploadcategory'].'</td>
						<td class="windowbg">
							<select size="1" name="tp-dluploadcat">';

	foreach($context['TPortal']['uploadcats'] as $ucats){
		echo '
								<option value="'.$ucats['id'].'">', isset($ucats['indent']) ? str_repeat("-",$ucats['indent']) : ''  , ' ' . $ucats['name'].'</option>';
	}
	echo '				</select>
						</td>
					</tr>
					<tr>
						<td align="right" class="windowbg">'.$txt['tp-dluploadtext'].'</td>
						<td class="windowbg"><textarea name="tp-dluploadtext" style="wrap:auto" rows="5" cols="50"></textarea>';

	// use the WYSIWYG editor here
	if($context['TPortal']['use_wysiwyg']>0)
		echo '
					<script language="javascript" type="text/javascript">
						SmallerEditor("tp-dluploadtext");
					</script>';

	echo '			</td>
					</tr>
					<tr>
						<td height="40" align="right" class="windowbg">'.$txt['tp-dluploadfile'].'</td>
						<td class="windowbg">';
	if((allowedTo('tp_dlmanager') && !isset($_GET['ftp'])) || !allowedTo('tp_dlmanager'))
		echo '<input name="tp-dluploadfile" id="tp-dluploadfile" type="file" /> ('.$context['TPortal']['dl_allowed_types'].')';

	// file already uploaded?
	if(allowedTo('tp_dlmanager') && !isset($_GET['ftp'])){
		echo '<br /><input name="tp-dluploadnot" type="checkbox" value="ON" /> '. $txt['tp-dlnoupload'];
	}
	elseif(allowedTo('tp_dlmanager') && isset($_GET['ftp'])){
		if(isset($_GET['ftp']))
			echo '<input name="tp-dluploadnot" type="hidden" value="ON" /><input name="tp-dlupload_ftpstray" type="hidden" value="'.$_GET['ftp'].'" />
			<b>'.$txt['tp-dlmakeitem2'].':</b><br />' . $context['TPortal']['tp-downloads'][$_GET['ftp']]['file'];
	}
    echo '
						</td>
					</tr>
					<tr>
						<td align="right" valign="top" class="windowbg">'.$txt['tp-dluploadicon'].'</td>
						<td class="windowbg">
							<select size="1" name="tp_dluploadicon" onchange="dlcheck(this.value)">
								<option value="blank.gif" selected="selected">'.$txt['tp-noneicon'].'</option>';
	// output the icons
	foreach($context['TPortal']['dlicons'] as $dlicon => $value)
		echo '
								<option value="'.$value.'">'.substr($value,0,strlen($value)-4).'</option>';

	echo '
							</select>
							<img align="top" style="margin-left: 2ex;" name="dlicon" src="'.$settings['images_url'].'/blank.gif" alt="" />
						</td>
					</tr>
					<tr>
						<td align="right" class="windowbg">'.$txt['tp-dluploadpic'].'</td>
						<td height="80" class="windowbg">
							<input name="tp_dluploadpic" id="tp_dluploadpic" type="file" size="60" />
							<input name="tp-uploadcat" type="hidden" value="'.$context['TPortal']['dlitem'].'" />
							<input name="tp-uploaduser" type="hidden" value="'.$context['user']['id'].'" />
						</td>
					</tr>
					<tr class="windowbg">
						<td colspan="2" align="center">
							<input type="submit" name="tp-uploadsubmit" id="tp-uploadsubmit" value="'.$txt['tp-dosubmit'].'" />
						</td>
					</tr>
				</table>
			</form>
		</td>
	</tr>
</table>
</div>
<script type="text/javascript">
	function dlcheck(icon)
	{
		document.dlicon.src= "'.$boardurl.'/tp-downloads/icons/" + icon
	 }
</script>';
	}

	elseif($context['TPortal']['dlaction']=='stats'){

		$maxcount=10;
	   echo '
<div class="tborder" style="margin-top: 4px;">
	<div class="titlebg" style="padding: 5px;">'.$txt['tp-downloadsection'].' - '.$txt['tp-stats'].'</div>
	<table width="100%" border="0" cellspacing="1" cellpadding="5" class="bordercolor">
		<tr class="catbg">
			<td colspan="2">'.$maxcount.' '.$txt['tp-dlstatscats'].'</td>
			<td colspan="2">'.$maxcount.' '.$txt['tp-dlstatsviews'].'</td>
		</tr>
		<tr>
			<td class="windowbg2" ><img src="'.$settings['images_url'].'/board.gif" alt="" /></td><td class="windowbg" valign="top" width="50%">';

		// top categories
		echo '<table width="100%" cellpadding="2" cellspacing="0">';
		$counter=0;
		if(isset($context['TPortal']['topcats'][0]['items']))
			$maxval=$context['TPortal']['topcats'][0]['items'];

		if(isset($context['TPortal']['topcats']) && count($context['TPortal']['topcats'])>0){
			foreach($context['TPortal']['topcats'] as $cats){
				if($counter<$maxcount){
					echo '<tr><td width="60%">'.$cats['link'].'</td><td><img src="' . $settings['images_url'] . '/bar.gif" height="15" alt="" width="' , $cats['items']>0 ? ceil(100*($cats['items']/$maxval)) : '1' , '%" /></td><td  width="5%" style="padding-left: 2ex;">'.$cats['items'].'</td></tr>';
					$counter++;
				}
			}
		}
		else
			echo '<tr><td>&nbsp;</td></tr>';

		echo '</table>';

		echo '
			</td>
			<td class="windowbg2"><img src="'.$settings['images_url'].'/stats_views.gif" alt="" /></td><td class="windowbg" valign="top" width="50%">';

		// top views
		echo '<table width="100%" cellpadding="2" cellspacing="0">';
		$counter=0;
		if(isset($context['TPortal']['topviews'][0]['views']))
			$maxval=$context['TPortal']['topviews'][0]['views'];
		if(isset($context['TPortal']['topviews']) && count($context['TPortal']['topviews'])>0){
			foreach($context['TPortal']['topviews'] as $cats){
				if($counter<$maxcount){
					echo '<tr><td width="60%">'.$cats['link'].'</td><td><img src="' . $settings['images_url'] . '/bar.gif" height="15" alt="" width="' , $cats['views']>0 ? ceil(100*($cats['views']/$maxval)) : '1' , '%" /></td><td  width="5%" style="padding-left: 2ex;">'.$cats['views'].'</td></tr>';
					$counter++;
				}
			}
		}
		else
			echo '<tr><td>&nbsp;</td></tr>';

		echo '</table>';

		echo '
			</td></tr>
		<tr class="catbg">
			<td colspan="2">'.$maxcount.' '.$txt['tp-dlstatsdls'].'</td>
			<td colspan="2">'.$maxcount.' '.$txt['tp-dlstatssize'].'</td>
		</tr>
			<tr>
			<td class="windowbg2"><img src="'.$settings['images_url'].'/stats_info.gif" alt="" /></td><td class="windowbg" valign="top">';

		// top downloads
		echo '<table width="100%" cellpadding="2" cellspacing="0">';
		$counter=0;
		if(isset($context['TPortal']['topitems'][0]['downloads']))
			$maxval=$context['TPortal']['topitems'][0]['downloads'];
		if(isset($context['TPortal']['topitems']) && count($context['TPortal']['topitems'])>0){
			foreach($context['TPortal']['topitems'] as $cats){
				if($counter<$maxcount){
					echo '<tr><td width="60%">'.$cats['link'].'</td><td><img src="' . $settings['images_url'] . '/bar.gif" height="15" alt="" width="' , ($maxval > 0) ? ceil(100*($cats['downloads']/$maxval)) : 0 , '%" /></td><td width="5%">'.$cats['downloads'].'</td></tr>';
					$counter++;
				}
			}
		}
		else
			echo '<tr><td>&nbsp;</td></tr>';

		echo '</table>';

		echo '
			</td>
			<td class="windowbg2"><img src="'.$settings['images_url'].'/stats_info.gif" alt="" /></td><td class="windowbg" valign="top">';

		// top filesize
		echo '<table width="100%" cellpadding="2" cellspacing="0">';
		$counter=0;
		if(isset($context['TPortal']['topsize'][0]['size']))
			$maxval=$context['TPortal']['topsize'][0]['size'];

		if(isset($context['TPortal']['topsize']) && count($context['TPortal']['topsize'])>0){
			foreach($context['TPortal']['topsize'] as $cats){
				if($counter<$maxcount){
					echo '<tr><td width="60%">'.$cats['link'].'</td><td><img src="' . $settings['images_url'] . '/bar.gif" height="15" alt="" width="' , ceil(100*($cats['size']/$maxval)) , '%" /></td><td width="5%">'. floor($cats['size']/1000).'kb</td></tr>';
					$counter++;
				}
			}
		}
		else
			echo '<tr><td>&nbsp;</td></tr>';

		echo '</table>';

		echo '
			</td>
		</tr>
	</table></div>';
	}






}

?>
