<?php
// Version: 0.9; TPwireless

// TPortal wireless for wap,wap2 and imode

function template_wap_tp()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// do not show frontblocks, just the link to boardindex
	if($context['TPortal']['front_type']=='frontblock' && $context['TPortal']['frontbar']){
		echo '
	<card id="main" title="', $context['page_title'], '">
		<p><b><a href="', $scripturl, '?action=forum;wap">', $txt['wireless_error_home'], '</a></b></p>
	</card>';
	}
	else{
		if(isset($context['TPortal']['show_catlist']) && $context['TPortal']['show_catlist']){

			echo '
			<card id="main" title="', $context['page_title'], '">';
			// get back to homepage as well
			echo '
				<p><a href="', $scripturl, ';wap">' , $txt[103] , '</a></p>';

			foreach($context['TPortal']['clist'] as $cats)
				echo '<p>' , $cats['selected'] ? '<b>' : '' , '<a href="', $scripturl, '?cat=',$cats['id'],';wap">' , $cats['name'] , '</a>' , $cats['selected'] ? '</b>' : '' , '</p>';
			echo '</card><br /><br />';
		}

		if(isset($context['TPortal']['boardnews']) && sizeof($context['TPortal']['boardnews'])>0){
			// some init values
			$start = 0;
			$end = $context['TPortal']['frontpage_limit'];
			$count = 1;
			echo '<card id="articles" title="Category">';

			foreach($context['TPortal']['boardnews'] as $story)
			{
					echo '<p><b><a href="' , $story['href'] , ';wap">' , $story['subject'] , '</a></b></p>';

					// any options for author and date?
					if(isset($story['options']['author']) || $story['is_boardnews'])
						echo '<p>' , $txt['tp-by'] , ' ' , $story['poster']['link'] , '</p>';
					if(isset($story['options']['date']) || $story['is_boardnews'])
						echo '<p> ' , $txt[30] , ' ' , $story['time'] , '</p>';

					// ..and for views and ratings , even comments?
					$opts=array();

					if(isset($story['options']['views']) || $story['is_boardnews'])
						$opts[] = '<p>' . $story['views'] . ' ' . $txt['tp-views'] . '</p>';
					if(isset($story['options']['comments']) || $story['is_boardnews']){
						if($story['is_boardnews'] && ($story['comments']>1 || $story['comments']==0))
							$what=$txt[110];
						elseif($story['is_boardnews'] && $story['comments']==1)
							$what=$txt[146];
						else
							$what=$txt['tp-comments'];

						$opts[] = '<p>' . $story['comments'] . ' ' . $what . '</p>';
					}
					if(isset($story['options']['rating']))
						$opts[] = '<p>' . $txt['tp-ratingaverage'] . ' ' . $story['rating_average'] . ' (' . $story['rating_votes'] . ' ' . $txt['tp-ratingvotes'] . ') </p>';

                     echo implode("",$opts);
					// use a intro when not single apge mode?
					if($context['TPortal']['front_type']!='singlepage')
					{
						// use intro!
						if($story['use_intro']=='1' && !isset($context['TPortal']['show_single_page']))
						{
							if($story['is_php'])
							{
								echo '<p>';
								strip_tags(eval($story['body']),'<b><br><p>');
								echo '</p>';
							}
							else
							{
								echo '<p>';
								echo strip_tags($story['introtext'],'<b><br><p>');
								echo '</p>
								<p><a href="' .$story['href']. ';wap">'.$txt['tp-readmore'].'</a></p>';
							}
						}
						else
						{
							if($story['is_php']){
								echo '<p>';
								strip_tags(eval($story['body']),'<b><br><p>');
								echo '</p>';
							}
							else{
								echo '<p>';
								echo strip_tags($story['body'],'<b><br><p>');
								echo '</p>';
							}
						}
					}
					else
					{
						if($story['is_php']){
							echo '<p>';
							strip_tags(eval($story['body']),'<b><br><p>');
							echo '</p>';
						}
						else{
							echo '<p>';
							echo strip_tags($story['body'],'<b><br><p>');
							echo '</p>';
						}
					}
			}
		}
		echo '</card>';
	}

}

function template_wap2_tp()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// do not show frontblocks, just the link to boardindex
	if($context['TPortal']['front_type']=='frontblock' && $context['TPortal']['frontbar']){
		echo '
		<p class="catbg"><b><a href="', $scripturl, '?action=forum;wap2">', $txt['wireless_error_home'], '</a></b></p>';
	}
	else{
		if(isset($context['TPortal']['show_catlist']) && $context['TPortal']['show_catlist']){

			// get back to homepage as well
			echo '
				<p class="catbg"><a href="', $scripturl, ';wap2">' , $txt[103] , '</a></p>';

			foreach($context['TPortal']['clist'] as $cats)
				echo '<p class="catbg">' , $cats['selected'] ? '<b>' : '' , '<a href="', $scripturl, '?cat=',$cats['id'],';wap2">' , $cats['name'] , '</a>' , $cats['selected'] ? '</b>' : '' , '</p>';
			echo '<br /><br />';
		}

		if(isset($context['TPortal']['boardnews']) && sizeof($context['TPortal']['boardnews'])>0){
			// some init values
			$start = 0;
			$end = $context['TPortal']['frontpage_limit'];
			$count = 1;

			foreach($context['TPortal']['boardnews'] as $story)
			{
					echo '<p class="titlebg"><b><a href="' , $story['href'] , ';wap2">' , $story['subject'] , '</a></b></p>';

					// any options for author and date?
					if(isset($story['options']['author']) || $story['is_boardnews'])
						echo '<p>' , $txt['tp-by'] , ' ' , $story['poster']['link'] , '</p>';
					if(isset($story['options']['date']) || $story['is_boardnews'])
						echo '<p> ' , $txt[30] , ' ' , $story['time'] , '</p>';

					// ..and for views and ratings , even comments?
					$opts=array();

					if(isset($story['options']['views']) || $story['is_boardnews'])
						$opts[] = '<p>' . $story['views'] . ' ' . $txt['tp-views'] . '</p>';
					if(isset($story['options']['comments']) || $story['is_boardnews']){
						if($story['is_boardnews'] && ($story['comments']>1 || $story['comments']==0))
							$what=$txt[110];
						elseif($story['is_boardnews'] && $story['comments']==1)
							$what=$txt[146];
						else
							$what=$txt['tp-comments'];

						$opts[] = '<p>' . $story['comments'] . ' ' . $what . '</p>';
					}
					if(isset($story['options']['rating']))
						$opts[] = '<p>' . $txt['tp-ratingaverage'] . ' ' . $story['rating_average'] . ' (' . $story['rating_votes'] . ' ' . $txt['tp-ratingvotes'] . ') </p>';

                     echo implode("",$opts);
					// use a intro when not single apge mode?
					if($context['TPortal']['front_type']!='singlepage')
					{
						// use intro!
						if($story['use_intro']=='1' && !isset($context['TPortal']['show_single_page']))
						{
							if($story['is_php'])
							{
								echo '<p class="windowbg">';
								eval($story['body']);
								echo '</p>';
							}
							else
							{
								echo '<p class="windowbg">';
								echo $story['introtext'];
								echo '</p>
								<p><a href="' .$story['href']. ';wap2">'.$txt['tp-readmore'].'</a></p>';
							}
						}
						else
						{
							if($story['is_php']){
								echo '<p class="windowbg">';
								eval($story['body']);
								echo '</p>';
							}
							else{
								echo '<p class="windowbg">';
								echo $story['body'];
								echo '</p>';
							}
						}
					}
					else
					{
						if($story['is_php']){
							echo '<p class="windowbg">';
							eval($story['body']);
							echo '</p>';
						}
						else{
							echo '<p class="windowbg">';
							echo $story['body'];
							echo '</p>';
						}
					}
			}
		}
	}

}

function template_imode_tp()
{
	echo 'Not implemented yet';
}
// dl manager
function template_wap_tpdl_main()
{
	echo 'Not implemented yet';
}
function template_wap_tpdl_item()
{
	echo 'Not implemented yet';
}
function template_wap_tpdl_cat()
{
	echo 'Not implemented yet';
}

?>