<?php
// Version: 0.9 ; TPhelp

$txt['tphelp_introduction']= 'Introduction';
$txt['tphelp_portal']= 'Portal';
$txt['tphelp_frontpage']= 'Frontpage';
$txt['tphelp_modules']= 'Modules';
$txt['tphelp_blocks']= 'Blocks';
$txt['tphelp_articles']= 'Articles';
$txt['tphelp_shoutbox']= 'Shoutbox';
$txt['tphelp_dlmanager']= 'Download manager';

$txt['tphelp_introduction_main']= '
<p>
	<b>TinyPortal</b> is a software package for your Simple Machines Forum that will expand it
	with a frontpage, articles, information panels, shoutbox, download section and much more. It has been developed to work seamless with SMF,
	using many of its internal functions. No need for 2 memberbases or maintaining different theme systems -
	TinyPortal will work and expand within SMF, giving your members extra features without ever actually leaving the forum.
</p><br />
    <i>Features of Tinyportal includes:</i><br />
   <h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Articles</h2>
<p>Articles are custom pages within SMF that can contain any html code you want or even PHP code. You can control
   several visual options such as displaying panels or not, showing the title, comments and much more. They can be also be categorised.
</p>
   <h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Frontpage</h2>
<p>
    Frontpage refers to the first page you see upon entering your SMF/Tinyportal site. It can work in several
    different ways: showing a special type of "frontblocks", show articles and/or forum topics - or show a single page. And if you don\'t really need a
    frontpage, you can make it go directly to the forum.
</p>
   <h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Blocks</h2>
<p>
    Blocks refer to the small boxes of information you will find on each side of your TP-driven forum.
    They can be many different types, the basic one being just a container for html/javascript code.
    Shoutbox, RSS feeds, Stats, News, PHP are some of the many different types you can use.
    Worth mentioning is "Block Code snippets": pre-made code snippets you can easily insert in one of your php/html blocks. Many of them
    expand the portal with even more functions.
</p>
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Modules</h2>
<p>
   Modules are extra sections for Tinyportal that perform a particular function. More are planned for the future,
   but currently you have this module:
</p>
       <ul><li>Download Manager</li></ul>';

$txt['tphelp_portal_main']= '
Welcome to the TinyPortal part of this SMF forum!
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Features</h2>
<p>
As a member you get a lot of new exciting things to explore. You might have a <b>shoutbox</b> visible - there you can leave comments in BBC code and generally
say hello to your fellow members. You might also want to read any articles published or rate them. You can read through whole categories of
articles, and check out recent topics from another block.
</p>
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Download section</h2>
<p>
If the Download Manager is active, you will be able to explore the files in the Download section. Uploading capabilities are also present, but
the administrators might put some restraints on it: for example what type of file you can upload, what maximum size and so on. The file might also need to approved by a moderator.
</p>
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Extended Profile</h2>
<p>
In your profile you will see any articles you have written - and you can edit them as well if permitted - all the shouts you ever made
in the shoutbox and files you uploaded to the download section. The initial screen is a small summary of everything and will give you some statistics on your
contributions to the forum. Note that if any specific feature is turned off, the corresponding profile item will be hidden.
</p>
<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">If you want to explore more the features of TP, both as a member and as moderator, be sure
to visit our <a href="http://www.tinyportal.net/smf/index.php?board=85.0" target="_blank"><b>Documentation boards</b></a> on tinyportal.net.
</div>
';

$txt['tphelp_frontpage_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Frontpage</h2>
<hr />
<p>
	Frontpage refers to the first page you reach when visiting your forum. In SMF that means the board index, but with TP
onboard thats only just one of the options you have available. To adjust any setting for the frontpage, find the TPadmin section
under "admin" pages and the subsection Settings, and then press on "Frontpage" tab.
</p>
<ul style="margin-bottom: 1em;">
	<li>
		<b>Allow guests to see news from the...</b> means you can make guests see posts from the boards you have set
as "news" board, even if they are closed for guests. Upon entering the actual board they are required to register/login<br /><br />
	</li>
	<li><b>Choose layout for the frontpage</b> gives you several possible layouts for the posts/articles you want to show. The most recent
article or post will be on "top" (if you are using "featured" article option then that will be on "top") indicating by the red
color. The rest will follow as this:
		<br /><br />
		<ul>
			<li>A - normal layout where most recent is on top, other follow right under.</li>
			<li>B - the top use full width, while the rest is divided among 2 half-the-width columns.</li>
			<li>C - the top is using one half for itself, the rest is placed in the other half</li>
			<li>D - The top is using one half , while the second item is using the other half. Then a new row is made and the remaining
			are divided among 2 columns again.</li>
		</ul>
	<br /><br />
	</li>
	<li>
		<b>Show forum-posts on frontpage from...</b> is where you set which boards are regarded as "news" boards. You have 5
choices.<br /><br />
	</li>
	<li>
		<b>Number of posts to show on frontpage</b> indicates how many to show on each page. Note that this also is used
when showing a category of articles for example.<br /><br />
	</li>
	<li>
		<b>Length of posts to show..</b> cuts off the posts with set number for a sort of preview option. Link to the full
length post is made underneath.<br /><br />
	</li>
	<li>
		<b>What to show on frontpage</b> This is one of the most important setting, it shows what the frontpage will contain. Your
options are:
		<br /><br />
		<ul>
			<li>Only forum - just recent topics from boards you select</li>
			<li>Both forum and articles - both topics and also recent articles written, mixed on date.</li>
			<li>Articles only - just articles</li>
			<li>Single page - show one artilce, the you have set as "featured"</li>
			<li>Frontpage blocks - blocks that will only appear here</li>
			<li>Go directly to forum index - skip the frontpage and go straight to forum</li>
		</ul>
		<br /><br />
	</li>
</ul>

<div class="windowbg3" style="padding: 2ex;">If you want to explore more the features of TP, both as a member and as moderator, be sure
to visit our <a href="http://www.tinyportal.net/smf/index.php?board=85.0" target="_blank"><b>Documentation boards</b></a> on tinyportal.net.
</div>
';

$txt['tphelp_modules_main']= 'Modules refer to the larger sections in TP, like the Downloads manager. ';

$txt['tphelp_blocks_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Blocks</h2>
The columns around either side of the forum and sometimes in the center are called "panels of blocks".
Inside these blocks an administrator or moderator can do almost anything that can be manually coded in PHP or HTML.
There are many types of preset block types, like the User block or the Shoutbox block.
There are also PHP and HTML blocks which allow the moderator to either code their own block, or
use pre-written code from tinyportal.net\'s
<a href="http://www.tinyportal.net/smf/index.php?board=46.0">Code Snippets board.</a>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">If you want to explore more the features of TP, both as a member and as moderator, be sure
to visit our <a href="http://www.tinyportal.net/smf/index.php?board=85.0" target="_blank"><b>Documentation boards</b></a> on tinyportal.net.
</div>';

$txt['tphelp_articles_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Articles</h2>
Articles are an important part of a Tinyportal driven forum.
They are one of the aspects of this software that allow an admin to turn the forum into a fully fledged
web site. Articles unlock an infinite number of possibilities and can be used to
 integrate for example a Coppermine gallery, or display a gaming guild\'s roster, dynamically based on a membergroup.
 Articles can also be used as a way to convey news on the front page of the forum.

 <div class="windowbg3" style="margin-top: 1em; padding: 2ex;">If you want to explore more the features of TP, both as a member and as moderator, be sure
to visit our <a href="http://www.tinyportal.net/smf/index.php?board=85.0" target="_blank"><b>Documentation boards</b></a> on tinyportal.net.
</div>';

$txt['tphelp_shoutbox_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Shoutbox</h2>
The shoutbox is a sort of mini-chat where you can leave comments inside this small block. Smilies and BBC code are allowed.
';

$txt['tphelp_dlmanager_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">Download Manager</h2>
The download manager is currently the only module implemented in TinyPortal. Using the download manager,
a webmaster can create a well-organized download section for their website, including various types of statistics.
The download manager will allow you to create directories and allow users to upload files based on SMF\'s
built in permission system. All files can have their own image thumbnails uploaded.

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">If you want to explore more the features of TP, both as a member and as moderator, be sure
to visit our <a href="http://www.tinyportal.net/smf/index.php?board=85.0" target="_blank"><b>Documentation boards</b></a> on tinyportal.net.
</div>';

?>
