<?php
// Version: 0.9; TPprofile

function template_tpsummary()
{
	global $settings, $txt, $context, $scripturl;

	echo '
	<table width="500" cellpadding="2" cellspacing="1" border="0" align="center" class="tborder">
		<tr class="titlebg">
			<td>
				<img src="'.$settings['images_url'].'/icons/profile_sm.gif" style="margin: 0;" alt="" /> '.$txt['tpsummary'].'
			</td>
		</tr>
		<tr>
			<td class="windowbg2">
				<table width="100%" cellpadding="2" cellspacing="0" border="0">
					<tr>
						<td>'.$txt['tpsummary_art'].'</td>
						<td width="30%" style="font-weight: bold;">'.$context['TPortal']['tpsummary']['articles'].'</td>
					</tr>
					<tr>
						<td>'.$txt['tpsummary_dl'].'</td>
						<td  style="font-weight: bold;">'.$context['TPortal']['tpsummary']['uploads'].'</td>
					</tr>
					<tr>
						<td>'.$txt['tpsummary_shout'].'</td>
						<td style="font-weight: bold;">'.$context['TPortal']['tpsummary']['shouts'].'</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>';
}

function template_tparticles()
{
	global $settings, $txt, $context, $scripturl;

	// first, any tabs to show?
	echo '
	<table cellpadding="0" cellspacing="0" border="0" style="margin-left: 10px;">
		<tr>
			<td class="mirrortab_first">&nbsp;</td>';

	foreach($context['TPortal']['tabs'] as $tab){
		echo $tab['chosen'] ? '
			<td class="mirrortab_active_first">&nbsp;</td>' : '' , '
			<td valign="top" class="mirrortab_' , $tab['chosen'] ? 'active_back' : 'back' , '">
				<a href="', $tab['link'] ,'">' , $tab['name'] , '</a>
			</td>' , $tab['chosen'] ? '<td class="mirrortab_active_last">&nbsp;</td>' : '';
	}
	echo '
			<td class="mirrortab_last">&nbsp;</td>
		</tr>
	</table>';

	if($context['TPortal']['profile_action'] == ''){
		echo '
	<div class="bordercolor" style="margin-left: 1ex;">
		<table width="100%" cellpadding="4" cellspacing="1" border="0">
			<tr class="titlebg">
				<td colspan="7">'.$txt['articlesprofile'].'</td>
			</tr>
			<tr class="windowbg">
				<td colspan="7" class="smalltext" style="padding: 2ex;">'.$txt['articlesprofile2'].'</td>
			</tr>
			<tr class="windowbg2">
				<td colspan="7" style="padding: 2ex;">';

		echo $txt['tp-prof_allarticles'].' <b>'.$context['TPortal']['all_articles'].'</b><br />';
		if($context['TPortal']['approved_articles']>0)
			echo $txt['tp-prof_approvarticles'].' <b>'.$context['TPortal']['approved_articles'].'</b> '.$txt['tp-prof_approvarticles'].'<br />';

		if($context['TPortal']['off_articles']==0)
			echo $txt['tp-prof_offarticles2'].'<br />';
		else
			echo $txt['tp-prof_offarticles'].' <b>'.$context['TPortal']['off_articles'].'</b><br />';

		echo '
				</td>
			</tr>
			<tr class="catbg">
				<td align="center" nowrap="nowrap">', $context['TPortal']['tpsort']=='subject' ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tparticles;tpsort=subject">'.$txt[70].'</a></td>
				<td align="center" nowrap="nowrap">', ($context['TPortal']['tpsort']=='date'  || $context['TPortal']['tpsort']=='') ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tparticles;tpsort=date">'.$txt[317].'</a></td>
				<td align="center" nowrap="nowrap">', $context['TPortal']['tpsort']=='views' ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tparticles;tpsort=views">'.$txt[301].'</a></td>
				<td align="center" nowrap="nowrap">'.$txt['tp-ratings'].'</td>
				<td align="center" nowrap="nowrap">', $context['TPortal']['tpsort']=='comments' ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tparticles;tpsort=comments">'.$txt['tp-comments'].'</a></td>
				<td align="center" nowrap="nowrap">', $context['TPortal']['tpsort']=='category' ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tparticles;tpsort=category">'.$txt['tp-category'].'</a></td>
				<td align="center" nowrap="nowrap">'.$txt['tp-edit'].'</td>
			</tr>';
		if(isset($context['TPortal']['profile_articles']) && sizeof($context['TPortal']['profile_articles'])>0){
			foreach($context['TPortal']['profile_articles'] as $art){
				echo '
			<tr class="windowbg2">
				<td><a href="'.$art['href'].'" target="_blank">', $art['approved']==0 ? '(' : '' , $art['off']==1 ? '<i>' : '' , $art['subject'], $art['off']==1 ? '</i>' : '' , $art['approved']==0 ? ')' : '' ,  '</td>
				<td align="center" class="smalltext" nowrap="nowrap">',$art['date'],'</td>
				<td align="center">',$art['views'],'</td>
				<td nowrap="nowrap">' . $txt['tp-ratingaverage'] . ' ' . ($context['TPortal']['showstars'] ? (str_repeat('<img src="'.$settings['images_url'].'/tpblue.gif" style="width: .7em; height: .7em; margin-right: 2px;" alt="" />', $art['rating_average'])) : $art['rating_average']) . ' (' . $art['rating_votes'] . ' ' . $txt['tp-ratingvotes'] . ') </td>
				<td align="center">',$art['comments'],'</td>
				<td>',$art['category'],'</td>
				<td align="center"><a href="',$art['editlink'],'"><img border="0" src="'.$settings['images_url'].'/tpedit.gif" alt="" /></a></td>
			</tr>';
			}
		}
		echo '
			<tr class="windowbg">
				<td colspan="7" style="padding: 2ex; font-weight: bold;">'.$context['TPortal']['pageindex'].'</td>
			</tr>
		</table>
	</div>';
	}
	elseif($context['TPortal']['profile_action'] == 'settings'){
		echo '
	<div class="bordercolor" style="margin-left: 1ex;">
		<table width="100%" cellpadding="4" cellspacing="1" border="0">
			<tr class="titlebg">
				<td colspan="7">'.$txt['tp-dlsettings'].'</td>
			</tr>
			<tr class="windowbg2">
				<td colspan="7" style="padding: 2ex;">
					<form name="TPadmin3" action="' . $scripturl . '?action=tpmod;sa=savesettings" method="post">
						<input type="hidden" name="sc" value="', $context['session_id'], '" />
						<input type="hidden" name="memberid" value="', $context['TPortal']['selected_member'], '" />
						<input type="hidden" name="item" value="', $context['TPortal']['selected_member_choice_id'], '" />
						';
		if($context['TPortal']['allow_wysiwyg'])
			echo '<table cellpadding="8">
							<tr>
								<td valign="top" align="right">'.$txt['tp-wysiwygchoice'].':</td>
								<td>
									<input name="tpwysiwyg" type="radio" value="0" ' , ($context['TPortal']['selected_member_choice'] =='0' || $context['TPortal']['selected_member_choice'] == '1') ? 'checked' : '' , '> '.$txt['tp-no'].'<br />
									<input name="tpwysiwyg" type="radio" value="2" ' , $context['TPortal']['selected_member_choice'] =='2' ? 'checked' : '' , '> '.$txt['tp-fckeditor'].'<br />
									<input name="tpwysiwyg" type="radio" value="3" ' , $context['TPortal']['selected_member_choice'] =='3' ? 'checked' : '' , '> '.$txt['tp-whizzyeditor'].'<br />
								</td>
							</tr>
				<tr>
					<td colspan="2" align="center"><input type="submit" value="'.$txt['tp-send'].'" name="send"></td>
				</tr></table>';
	echo '
		</form>';


		echo '
				</td>
			</tr>
		</table>
	</div>';
	}
}

function template_tpdownload()
{
	global $settings, $txt, $context, $scripturl;

	echo '
	<div class="bordercolor" style="margin-left: 1ex;">
		<table width="100%" cellpadding="4" cellspacing="1" border="0">
			<tr class="titlebg">
				<td colspan="6">'.$txt['downloadsprofile'].'</td>
			</tr>
			<tr class="windowbg">
				<td colspan="6" class="smalltext" style="padding: 2ex;">'.$txt['downloadsprofile2'].'</td>
			</tr>
			<tr class="windowbg2">
				<td colspan="6" style="padding: 2ex;">';

	echo $txt['tp-prof_alldownloads'].' <b>'.$context['TPortal']['all_downloads'].'</b><br />';
	if($context['TPortal']['approved_downloads']>0)
		echo $txt['tp-prof_approvarticles'].' <b>'.$context['TPortal']['approved_downloads'].'</b> '.$txt['tp-prof_approvdownloads'].'<br />';

	echo '
				</td>
			</tr>
			<tr class="catbg">
				<td align="center" nowrap="nowrap">', $context['TPortal']['tpsort']=='name' ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tpdownloads;tpsort=name">'.$txt[70].'</a></td>
				<td align="center" nowrap="nowrap">', ($context['TPortal']['tpsort']=='created'  || $context['TPortal']['tpsort']=='') ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tpdownloads;tpsort=created">'.$txt[317].'</a></td>
				<td align="center" nowrap="nowrap">', $context['TPortal']['tpsort']=='views' ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tpdownloads;tpsort=views">'.$txt[301].'</a></td>
				<td align="center" nowrap="nowrap">'.$txt['tp-ratings'].'</td>
				<td align="center" nowrap="nowrap">', $context['TPortal']['tpsort']=='downloads' ? '<img src="'.$settings['images_url'].'/sort_down.gif" alt="" /> ' : '' ,'<a href="'.$scripturl.'?action=profile;u='.$context['TPortal']['memID'].';sa=tpdownloads;tpsort=downloads">'.$txt['tp-downloads'].'</a></td>
				<td align="center" nowrap="nowrap">'. $txt['tp-edit'] .'</td>
			</tr>';
if(isset($context['TPortal']['profile_uploads']) && sizeof($context['TPortal']['profile_uploads'])>0){
	foreach($context['TPortal']['profile_uploads'] as $art){
		echo '
			<tr class="windowbg2">
				<td><a href="'.$art['href'].'" target="_blank">', $art['approved']==0 ? '(' : '' , $art['name'], $art['approved']==0 ? ')' : '' ,  '</td>
				<td align="center" class="smalltext" nowrap="nowrap">',$art['created'],'</td>
				<td align="center">',$art['views'],'</td>
				<td nowrap="nowrap">' . $txt['tp-ratingaverage'] . ' ' . ($context['TPortal']['showstars'] ? (str_repeat('<img src="'.$settings['images_url'].'/tpblue.gif" style="width: .7em; height: .7em; margin-right: 2px;" alt="" />', $art['rating_average'])) : $art['rating_average']) . ' (' . $art['rating_votes'] . ' ' . $txt['tp-ratingvotes'] . ') </td>
				<td align="center">',$art['downloads'],'</td>
				<td align="center">' , $art['editlink']!='' ? '<a href="'.$art['editlink'].'"><img border="0" src="'.$settings['images_url'].'/tpedit.gif" alt="" /></a>' : '' , '</td>
			</tr>';
	}
}
	echo '
			<tr class="windowbg">
				<td colspan="6" style="padding: 2ex; font-weight: bold;">'.$context['TPortal']['pageindex'].'</td>
			</tr>
		</table>
	</div>';
}

function template_tpshoutbox()
{
	global $settings, $txt, $context, $scripturl;

	echo '
	<div class="bordercolor" style="margin-left: 1ex;">
		<table width="100%" cellpadding="4" cellspacing="1" border="0">
			<tr class="titlebg">
				<td colspan="6">'.$txt['shoutboxprofile'].'</td>
			</tr>
			<tr class="windowbg">
				<td colspan="6" class="smalltext" style="padding: 2ex;">'.$txt['shoutboxprofile2'].'</td>
			</tr>
			<tr class="windowbg2">
				<td colspan="6" style="padding: 2ex;">';

	echo $txt['tp-prof_allshouts'].' <b>', !$context['TPortal']['profile_shouts_hide'] ? $context['TPortal']['all_shouts'] : '0' ,'</b><br />';
	echo '
				</td>
			</tr>
			<tr class="catbg">
				<td align="center" width="10%" nowrap="nowrap">'.$txt[317].'</td>
				<td align="center" class="smalltext" nowrap="nowrap">',$txt['tp-shout'],'</td>
				<td align="center" nowrap="nowrap" width="10%">'. $txt['tp-edit'] .'</td>
			</tr>';
if(!$context['TPortal']['profile_shouts_hide'] && isset($context['TPortal']['profile_shouts']) && sizeof($context['TPortal']['profile_shouts'])>0){
	foreach($context['TPortal']['profile_shouts'] as $art){
		echo '
			<tr class="windowbg2">
				<td valign="top" align="center" class="smalltext" nowrap="nowrap">',$art['created'],'</td>
				<td valign="top" class="smalltext" >',$art['shout'],'</td>
				<td valign="top" align="center">' , $art['editlink']!='' ? '<a href="'.$art['editlink'].'"><img border="0" src="'.$settings['images_url'].'/tpedit.gif" alt="" /></a>' : '' , '</td>
			</tr>';
	}
}
else
		echo '
			<tr class="windowbg2">
				<td valign="top" align="center" class="smalltext" colspan="3">',$txt['tpsummary_shout'],' 0</td></tr>';

	echo '
			<tr class="windowbg">
				<td colspan="6" style="padding: 2ex; font-weight: bold;">'.$context['TPortal']['pageindex'].'</td>
			</tr>
		</table>
	</div>';
}

function template_tplinks()
{
	echo '&nbsp;&nbsp;&nbsp;Not implemented yet.';
}

function template_tpgallery()
{
	echo '&nbsp;&nbsp;&nbsp;Not implemented yet.';
}

?>
